#
# spec file for package jcip-annotations
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define section   free

Name:           jcip-annotations
Version:        1.0
Release:        23.1
Summary:        Java Concurrency in Practice
License:        CC-BY-2.5
Group:          Development/Libraries/Java
Url:            http://www.jcip.net/
Source0:        http://www.jcip.net/jcip-annotations-src.jar
Source1:        http://repo1.maven.org/maven/livetribe/maven/m2/net/jcip/jcip-annotations/1.0/jcip-annotations-1.0.pom

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

BuildRequires:  java-devel = 1.5.0
BuildRequires:  javapackages-tools

Requires:       java >= 1.5.0
Requires(post):    javapackages-tools
Requires(postun):  javapackages-tools

%description
Class, field, and method level annotations for describing thread-safety
policies.


%prep
%setup -q -c
mkdir -p target/site/apidocs/
mkdir -p target/classes/
mkdir -p src/main/java/
mv net src/main/java

%build
export JAVA_HOME=%{_jvmdir}/java-1.5.0

export JFLAGS=
%if %defined suse_version
export JFLAGS=-C
%endif

$JAVA_HOME/bin/javac ${JFLAGS} -d target/classes $(find src/main/java -name "*.java")
for f in $(find aQute/ -type f -not -name "*.class"); do
    cp $f target/classes/$f
done
pushd target/classes
$JAVA_HOME/bin/jar cmf ../../META-INF/MANIFEST.MF ../%{name}-%{version}.jar *
popd

%install
# jars
install -d -m 755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

# pom
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -m 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_javadir}/*
%{_mavenpomdir}/*
%config %{_mavendepmapfragdir}

%changelog
* Tue Sep 10 2013 mvyskocil@suse.com
- use add_maven_depmap from javapackages-tools
- drop javadoc build, N/A with gcc-java
* Mon Sep  9 2013 tchvatal@suse.com
- Move from jpackage-utils to javapackage-tools
* Mon Feb 27 2012 cfarrell@suse.com
- license update: CC-BY-2.5
  Most of the pattern matches in the package are for CC-BY-2.5, not
  CC-BY-3.0
* Thu Jan 12 2012 coolo@suse.com
- change license to be in spdx.org format
* Tue Dec  7 2010 coolo@novell.com
- switch rpm group
* Wed Jun  3 2009 mvyskocil@suse.cz
- Initial SUSE packaging based on jpp5.0
